> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockops.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get generic signing status

> Reads only generic signing requests for the wallet-bound caller.



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/web3/{wallet_id}/sign/{transaction_id}
openapi: 3.0.3
info:
  title: Blockops Wallet API
  version: 0.1.0
  description: >
    The Blockops Wallet API: create MPC wallets, attach assets and read deposit
    addresses and balances, request withdrawals and signing, and manage webhooks
    and API keys.
servers:
  - url: https://wallet-sandbox.blockops.network
security:
  - AccessApiKey: []
    AccessTimestamp: []
    AccessSign: []
tags:
  - name: catalog
  - name: wallets
  - name: balances
  - name: withdrawals
  - name: transactions
  - name: signing
  - name: webhooks
  - name: api-keys
  - name: audit
  - name: observability
paths:
  /api/v1/web3/{wallet_id}/sign/{transaction_id}:
    get:
      tags:
        - signing
      summary: Get generic signing status
      description: Reads only generic signing requests for the wallet-bound caller.
      parameters:
        - $ref: '#/components/parameters/WalletID'
        - $ref: '#/components/parameters/TransactionID'
      responses:
        '200':
          description: Generic signing operation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SigningOperationEnvelope'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '503':
          $ref: '#/components/responses/RouteUnavailable'
components:
  parameters:
    WalletID:
      name: wallet_id
      in: path
      required: true
      schema:
        type: string
    TransactionID:
      name: transaction_id
      in: path
      required: true
      schema:
        type: string
  schemas:
    SigningOperationEnvelope:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/SigningOperation'
    EnvelopeBase:
      type: object
      required:
        - success
        - message
        - code
      properties:
        success:
          type: boolean
        message:
          type: string
          example: success
        code:
          oneOf:
            - type: integer
            - type: string
          example: 0
    SigningOperation:
      type: object
      required:
        - id
        - signing_id
        - operation_type
        - wallet_id
        - network_internal_code
        - key_type
        - signing_hash
        - derivation_path
        - status
      properties:
        id:
          type: string
        signing_id:
          type: string
        operation_type:
          type: string
          enum:
            - withdrawal
            - generic
          default: withdrawal
        withdrawal_id:
          type: string
          nullable: true
        wallet_id:
          type: string
        network_internal_code:
          type: string
        key_type:
          type: string
          enum:
            - secp256k1
            - ed25519
        signing_hash:
          type: string
        derivation_path:
          type: string
        status:
          type: string
          enum:
            - pending
            - submitted
            - failed
            - success
        status_reason:
          type: string
        mpc_correlation_id:
          type: string
        error_code:
          type: string
        error_reason:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        completed_at:
          type: string
          format: date-time
    ErrorEnvelope:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          required:
            - data
          properties:
            success:
              type: boolean
              example: false
            data:
              nullable: true
  responses:
    Unauthorized:
      description: Authentication failed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          example:
            success: false
            message: invalid api signature
            code: unauthorized
            data: null
    NotFound:
      description: Resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    RouteUnavailable:
      description: Route disabled, upstream missing, or dependency unavailable.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    AccessApiKey:
      type: apiKey
      in: header
      name: ACCESS-API-KEY
      description: HMAC API-key identifier.
    AccessTimestamp:
      type: apiKey
      in: header
      name: ACCESS-TIMESTAMP
      description: Unix timestamp in seconds.
    AccessSign:
      type: apiKey
      in: header
      name: ACCESS-SIGN
      description: Base64-encoded hex HMAC signature.

````